Index: trunk/lib/FlairCore/src/unexported/ConditionVariable_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/ConditionVariable_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/ConditionVariable_impl.h	(revision 15)
@@ -23,7 +23,7 @@
 
 namespace flair {
-    namespace core {
-        class ConditionVariable;
-    }
+namespace core {
+class ConditionVariable;
+}
 }
 
@@ -32,20 +32,19 @@
 *
 */
-class ConditionVariable_impl
-{
+class ConditionVariable_impl {
 
-    public:
-        ConditionVariable_impl(flair::core::ConditionVariable* self);
-        ~ConditionVariable_impl();
-        void CondWait(void);
-        bool CondWaitUntil(flair::core::Time date);
-        void CondSignal(void);
+public:
+  ConditionVariable_impl(flair::core::ConditionVariable *self);
+  ~ConditionVariable_impl();
+  void CondWait(void);
+  bool CondWaitUntil(flair::core::Time date);
+  void CondSignal(void);
 
-    private:
-        flair::core::ConditionVariable* self;
+private:
+  flair::core::ConditionVariable *self;
 #ifdef __XENO__
-        RT_COND m_ResumeCond;
+  RT_COND m_ResumeCond;
 #else
-        pthread_cond_t m_ResumeCond;
+  pthread_cond_t m_ResumeCond;
 #endif
 };
Index: trunk/lib/FlairCore/src/unexported/DataPlot_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/DataPlot_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/DataPlot_impl.h	(revision 15)
@@ -16,10 +16,8 @@
 #include <vector>
 
-namespace flair
-{
-    namespace core
-    {
-        class IODataElement;
-    }
+namespace flair {
+namespace core {
+class IODataElement;
+}
 }
 
@@ -28,11 +26,10 @@
 *
 */
-class DataPlot_impl
-{
-    public:
-        DataPlot_impl();
-        ~DataPlot_impl();
+class DataPlot_impl {
+public:
+  DataPlot_impl();
+  ~DataPlot_impl();
 
-        std::vector<const flair::core::IODataElement*> tosend;
+  std::vector<const flair::core::IODataElement *> tosend;
 };
 
Index: trunk/lib/FlairCore/src/unexported/FrameworkManager_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/FrameworkManager_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/FrameworkManager_impl.h	(revision 15)
@@ -24,117 +24,111 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class IODevice;
-        class Watchdog;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class PushButton;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class IODevice;
+class Watchdog;
+}
+namespace gui {
+class TabWidget;
+class PushButton;
+class Layout;
+}
 }
 
 class ui_com;
 
-class FrameworkManager_impl: public flair::core::Thread
-{
-    public:
-        FrameworkManager_impl(flair::core::FrameworkManager *self,std::string name);
-        ~FrameworkManager_impl();
-        void SetupConnection(std::string address,uint16_t port,size_t rcv_buf_size=10000);
-        void SetupUserInterface(std::string xml_file);
-        void SetupLogger(std::string log_path);
-        void AddDeviceToLog(flair::core::IODevice *device);
-        void StartLog();
-        void StopLog();
-        char* GetBuffer(size_t sz);
-        void ReleaseBuffer(char* buf);
-        void WriteLog(const char* buf,size_t size);
+class FrameworkManager_impl : public flair::core::Thread {
+public:
+  FrameworkManager_impl(flair::core::FrameworkManager *self, std::string name);
+  ~FrameworkManager_impl();
+  void SetupConnection(std::string address, uint16_t port,
+                       size_t rcv_buf_size = 10000);
+  void SetupUserInterface(std::string xml_file);
+  void SetupLogger(std::string log_path);
+  void AddDeviceToLog(flair::core::IODevice *device);
+  void StartLog();
+  void StopLog();
+  char *GetBuffer(size_t sz);
+  void ReleaseBuffer(char *buf);
+  void WriteLog(const char *buf, size_t size);
 
-        /*!
-        * \brief Affiche le xml
-        *
-        * Pour debug.
-        */
-        void PrintXml(void) const;
+  /*!
+  * \brief Affiche le xml
+  *
+  * Pour debug.
+  */
+  void PrintXml(void) const;
 
-        bool is_logging;
-        bool disable_errors;
-        bool connection_lost;
-        static ui_com *com;
-        static FrameworkManager_impl *_this;
-        std::string log_path;
+  bool is_logging;
+  bool disable_errors;
+  bool connection_lost;
+  static ui_com *com;
+  static FrameworkManager_impl *_this;
+  std::string log_path;
 
-        flair::gui::TabWidget* tabwidget;
-        flair::gui::PushButton *save_button;//,*load_button;
+  flair::gui::TabWidget *tabwidget;
+  flair::gui::PushButton *save_button; //,*load_button;
 
-        xmlDocPtr file_doc;
+  xmlDocPtr file_doc;
 
-        typedef struct {
-            const flair::core::IODevice* device;
-            size_t size;
-            flair::core::Time time;
-        } log_header_t;
+  typedef struct {
+    const flair::core::IODevice *device;
+    size_t size;
+    flair::core::Time time;
+  } log_header_t;
 
-    private:
-        flair::core::FrameworkManager *self;
-        UDTSOCKET file_sock,com_sock;
-        UDTSOCKET GetSocket(std::string address,uint16_t port);
-        void Run();
-        void SendFile(std::string path,std::string name);
-        void FinishSending(void);
-        std::string FileName(flair::core::IODevice* device);
-        void SaveXmlChange(char* buf);
-        void SaveXml(void);
-        size_t rcv_buf_size;
-        char *rcv_buf;
+private:
+  flair::core::FrameworkManager *self;
+  UDTSOCKET file_sock, com_sock;
+  UDTSOCKET GetSocket(std::string address, uint16_t port);
+  void Run();
+  void SendFile(std::string path, std::string name);
+  void FinishSending(void);
+  std::string FileName(flair::core::IODevice *device);
+  void SaveXmlChange(char *buf);
+  void SaveXml(void);
+  size_t rcv_buf_size;
+  char *rcv_buf;
 #ifdef __XENO__
-        int CreatePipe(RT_PIPE* fd,std::string name);
-        int DeletePipe(RT_PIPE* fd);
-        RT_PIPE cmd_pipe;
-        RT_PIPE data_pipe;
-        RT_HEAP log_heap;
+  int CreatePipe(RT_PIPE *fd, std::string name);
+  int DeletePipe(RT_PIPE *fd);
+  RT_PIPE cmd_pipe;
+  RT_PIPE data_pipe;
+  RT_HEAP log_heap;
 #else
-        int CreatePipe(int (*fd)[2],std::string name);
-        int DeletePipe(int (*fd)[2]);
-        int cmd_pipe[2];
-        int data_pipe[2];
+  int CreatePipe(int (*fd)[2], std::string name);
+  int DeletePipe(int (*fd)[2]);
+  int cmd_pipe[2];
+  int data_pipe[2];
 #endif
-        //logger
-        bool continuer;//a enlever, avoir un seul bool pour toutes les taches
-        static void* write_log_user(void * arg);
-        pthread_t log_th;
-        std::string xml_file;
-        bool logger_defined;
-        bool ui_defined;
-        flair::gui::Layout* top_layout;
+  // logger
+  bool continuer; // a enlever, avoir un seul bool pour toutes les taches
+  static void *write_log_user(void *arg);
+  pthread_t log_th;
+  std::string xml_file;
+  bool logger_defined;
+  bool ui_defined;
+  flair::gui::Layout *top_layout;
 
-        typedef struct {
-            flair::core::IODevice* device;
-            size_t size;
-            hdfile_t *dbtFile;
-            bool running;
-        } log_desc_t;
+  typedef struct {
+    flair::core::IODevice *device;
+    size_t size;
+    hdfile_t *dbtFile;
+    bool running;
+  } log_desc_t;
 
-        std::vector<log_desc_t> logs;
-        std::vector<std::string> xml_changes;
-        flair::core::Watchdog* gcs_watchdog;
-        void ConnectionLost(void);
+  std::vector<log_desc_t> logs;
+  std::vector<std::string> xml_changes;
+  flair::core::Watchdog *gcs_watchdog;
+  void ConnectionLost(void);
 };
 
-namespace
-{
-    inline ui_com* getUiCom(void) {
-        return FrameworkManager_impl::com;
-    }
+namespace {
+inline ui_com *getUiCom(void) { return FrameworkManager_impl::com; }
 
-    inline  FrameworkManager_impl* getFrameworkManagerImpl(void) {
-        return FrameworkManager_impl::_this;
-    }
+inline FrameworkManager_impl *getFrameworkManagerImpl(void) {
+  return FrameworkManager_impl::_this;
+}
 }
 
Index: trunk/lib/FlairCore/src/unexported/IODevice_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/IODevice_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/IODevice_impl.h	(revision 15)
@@ -17,48 +17,45 @@
 #include <Object.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class io_data;
-        class IODevice;
-        class Thread;
-        class Mutex;
-        class FrameworkManager;
-        class SharedMem;
-    }
+namespace flair {
+namespace core {
+class io_data;
+class IODevice;
+class Thread;
+class Mutex;
+class FrameworkManager;
+class SharedMem;
+}
 }
 
 class FrameworkManager_impl;
 
-class IODevice_impl
-{
-    public:
-        IODevice_impl(const flair::core::IODevice* self);
-        ~IODevice_impl();
-        void ResumeThread(void);
-        size_t LogSize(void) const;
-        void AppendLog(char** ptr);
-        void AddDataToLog(const flair::core::io_data* data);
-        void WriteLogsDescriptors(std::fstream& desc_file,int *index);
-        int SetToWake(const flair::core::Thread* thread);
-        void WriteLog(flair::core::Time time);
-        void AddDeviceToLog(const flair::core::IODevice* device);
-        bool SetToBeLogged(void);//return true if possible
-        void OutputToShMem(bool enabled);
-        void WriteToShMem(void);
-        void PrintLogsDescriptors(void);
+class IODevice_impl {
+public:
+  IODevice_impl(const flair::core::IODevice *self);
+  ~IODevice_impl();
+  void ResumeThread(void);
+  size_t LogSize(void) const;
+  void AppendLog(char **ptr);
+  void AddDataToLog(const flair::core::io_data *data);
+  void WriteLogsDescriptors(std::fstream &desc_file, int *index);
+  int SetToWake(const flair::core::Thread *thread);
+  void WriteLog(flair::core::Time time);
+  void AddDeviceToLog(const flair::core::IODevice *device);
+  bool SetToBeLogged(void); // return true if possible
+  void OutputToShMem(bool enabled);
+  void WriteToShMem(void);
+  void PrintLogsDescriptors(void);
 
-    private:
-        std::vector<const flair::core::IODevice*> devicesToLog;
-        const flair::core::IODevice* self;
-        const flair::core::FrameworkManager* framework;
-        FrameworkManager_impl* framework_impl;
-        std::vector<const flair::core::io_data*> datasToLog;
-        flair::core::Thread* thread_to_wake;
-        flair::core::Mutex* wake_mutex;
-        bool tobelogged;
-        bool outputtoshm;
-        flair::core::SharedMem *shmem;
+private:
+  std::vector<const flair::core::IODevice *> devicesToLog;
+  const flair::core::IODevice *self;
+  const flair::core::FrameworkManager *framework;
+  FrameworkManager_impl *framework_impl;
+  std::vector<const flair::core::io_data *> datasToLog;
+  flair::core::Thread *thread_to_wake;
+  flair::core::Mutex *wake_mutex;
+  bool tobelogged;
+  bool outputtoshm;
+  flair::core::SharedMem *shmem;
 };
 
Index: trunk/lib/FlairCore/src/unexported/Mutex_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/Mutex_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/Mutex_impl.h	(revision 15)
@@ -20,30 +20,26 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+}
 }
 
-class Mutex_impl
-{
-    public:
-        Mutex_impl(flair::core::Mutex *self);
-        ~Mutex_impl();
-        void GetMutex(void);
-        void ReleaseMutex(void);
+class Mutex_impl {
+public:
+  Mutex_impl(flair::core::Mutex *self);
+  ~Mutex_impl();
+  void GetMutex(void);
+  void ReleaseMutex(void);
 //        bool IsLocked(void);
 #ifdef __XENO__
-        RT_MUTEX mutex;
+  RT_MUTEX mutex;
 #else
-        pthread_mutex_t mutex;
-        //bool flag_locked;
+  pthread_mutex_t mutex;
+// bool flag_locked;
 #endif
 
-    private:
-        flair::core::Mutex *self;
-
+private:
+  flair::core::Mutex *self;
 };
 
Index: trunk/lib/FlairCore/src/unexported/Object_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/Object_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/Object_impl.h	(revision 15)
@@ -19,20 +19,21 @@
 #define OBJECT_IMPL_H
 
-class Object_impl
-{
-    public:
-        Object_impl(const flair::core::Object* self,const flair::core::Object* parent=NULL,std::string name="",std::string type="");
-        ~Object_impl();
-        std::string name,type;
-        std::vector<const flair::core::Object*> childs;
-        std::vector<const flair::core::Object*> type_childs;
-        void AddChild(const flair::core::Object* child);
-        void RemoveChild(const flair::core::Object* child);
-        bool ErrorOccured(bool recursive);
-        bool error_occured;
-        const flair::core::Object* parent;
+class Object_impl {
+public:
+  Object_impl(const flair::core::Object *self,
+              const flair::core::Object *parent = NULL, std::string name = "",
+              std::string type = "");
+  ~Object_impl();
+  std::string name, type;
+  std::vector<const flair::core::Object *> childs;
+  std::vector<const flair::core::Object *> type_childs;
+  void AddChild(const flair::core::Object *child);
+  void RemoveChild(const flair::core::Object *child);
+  bool ErrorOccured(bool recursive);
+  bool error_occured;
+  const flair::core::Object *parent;
 
-    private:
-        const flair::core::Object* self;
+private:
+  const flair::core::Object *self;
 };
 
Index: trunk/lib/FlairCore/src/unexported/OneAxisRotation_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/OneAxisRotation_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/OneAxisRotation_impl.h	(revision 15)
@@ -14,19 +14,16 @@
 #define ONEAXISROTATION_IMPL_H
 
-namespace flair
-{
-    namespace core
-    {
-        class Vector3D;
-        class Euler;
-        class Quaternion;
-        class RotationMatrix;
-    }
-    namespace gui
-    {
-        class GroupBox;
-        class ComboBox;
-        class DoubleSpinBox;
-    }
+namespace flair {
+namespace core {
+class Vector3D;
+class Euler;
+class Quaternion;
+class RotationMatrix;
+}
+namespace gui {
+class GroupBox;
+class ComboBox;
+class DoubleSpinBox;
+}
 }
 
@@ -35,17 +32,16 @@
 *
 */
-class OneAxisRotation_impl
-{
-    public:
-        OneAxisRotation_impl(flair::gui::GroupBox* box);
-        ~OneAxisRotation_impl();
-        void ComputeRotation(flair::core::Vector3D& point) const;
-        void ComputeRotation(flair::core::Quaternion& quat) const;
-        void ComputeRotation(flair::core::RotationMatrix& matrix) const;
-        void ComputeRotation(flair::core::Euler& euler) const;
+class OneAxisRotation_impl {
+public:
+  OneAxisRotation_impl(flair::gui::GroupBox *box);
+  ~OneAxisRotation_impl();
+  void ComputeRotation(flair::core::Vector3D &point) const;
+  void ComputeRotation(flair::core::Quaternion &quat) const;
+  void ComputeRotation(flair::core::RotationMatrix &matrix) const;
+  void ComputeRotation(flair::core::Euler &euler) const;
 
-    private:
-        flair::gui::ComboBox *rot_axe;
-        flair::gui::DoubleSpinBox* rot_value;
+private:
+  flair::gui::ComboBox *rot_axe;
+  flair::gui::DoubleSpinBox *rot_value;
 };
 
Index: trunk/lib/FlairCore/src/unexported/SendData_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/SendData_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/SendData_impl.h	(revision 15)
@@ -23,12 +23,11 @@
 *
 */
-class SendData_impl
-{
-    public:
-		SendData_impl();
-		~SendData_impl();
-        bool is_enabled;
-        size_t send_size;
-        uint16_t send_period;
+class SendData_impl {
+public:
+  SendData_impl();
+  ~SendData_impl();
+  bool is_enabled;
+  size_t send_size;
+  uint16_t send_period;
 };
 
Index: trunk/lib/FlairCore/src/unexported/SharedMem_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/SharedMem_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/SharedMem_impl.h	(revision 15)
@@ -23,10 +23,8 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class SharedMem;
-    }
+namespace flair {
+namespace core {
+class SharedMem;
+}
 }
 
@@ -36,26 +34,26 @@
 */
 
-class SharedMem_impl
-{
-    public:
-        SharedMem_impl(const flair::core::SharedMem* self,std::string name,size_t size);
-        ~SharedMem_impl();
+class SharedMem_impl {
+public:
+  SharedMem_impl(const flair::core::SharedMem *self, std::string name,
+                 size_t size);
+  ~SharedMem_impl();
 
-        void Write(const char* buf,size_t size);
-        void Read(char* buf,size_t size);
+  void Write(const char *buf, size_t size);
+  void Read(char *buf, size_t size);
 
-    private:
-        const flair::core::SharedMem* self;
-        size_t size;
-        char *mem_segment;
+private:
+  const flair::core::SharedMem *self;
+  size_t size;
+  char *mem_segment;
 #ifdef __XENO__
-        RT_HEAP heap;
-        RT_MUTEX mutex;
-        bool heap_binded;
-        bool mutex_binded;
+  RT_HEAP heap;
+  RT_MUTEX mutex;
+  bool heap_binded;
+  bool mutex_binded;
 #else
-        int fd;
-        sem_t *sem;
-        std::string sem_name,shm_name;
+  int fd;
+  sem_t *sem;
+  std::string sem_name, shm_name;
 #endif
 };
Index: trunk/lib/FlairCore/src/unexported/Socket_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/Socket_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/Socket_impl.h	(revision 15)
@@ -21,36 +21,35 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class Socket;
-    }
+namespace flair {
+namespace core {
+class Socket;
+}
 }
 
-class Socket_impl
-{
-    public:
-        Socket_impl(const flair::core::Socket* self, std::string name,std::string address,bool broadcast=false);
-        Socket_impl(const flair::core::Socket* self, std::string name,uint16_t port);
-        ~Socket_impl();
+class Socket_impl {
+public:
+  Socket_impl(const flair::core::Socket *self, std::string name,
+              std::string address, bool broadcast = false);
+  Socket_impl(const flair::core::Socket *self, std::string name, uint16_t port);
+  ~Socket_impl();
 
-        void SendMessage(std::string message);
-        void SendMessage(const char* src,size_t src_len);
-        ssize_t RecvMessage(char* msg,size_t msg_len,flair::core::Time timeout,char* src=NULL,size_t* src_len=NULL);
+  void SendMessage(std::string message);
+  void SendMessage(const char *src, size_t src_len);
+  ssize_t RecvMessage(char *msg, size_t msg_len, flair::core::Time timeout,
+                      char *src = NULL, size_t *src_len = NULL);
 
-    private:
-        int fd;
-        uint16_t port;
-        std::string address;
-        bool broadcast;
-        void Init(void);
-        const flair::core::Socket* self;
-        struct sockaddr_in sock_in;
+private:
+  int fd;
+  uint16_t port;
+  std::string address;
+  bool broadcast;
+  void Init(void);
+  const flair::core::Socket *self;
+  struct sockaddr_in sock_in;
 #ifdef __XENO__
-        bool is_running;
-        static void* user(void * arg);
-        pthread_t user_thread;
-        RT_PIPE pipe;
+  bool is_running;
+  static void *user(void *arg);
+  pthread_t user_thread;
+  RT_PIPE pipe;
 #endif
 };
Index: trunk/lib/FlairCore/src/unexported/Thread_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/Thread_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/Thread_impl.h	(revision 15)
@@ -22,55 +22,52 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class Thread;
-        class IODevice;
-        class ConditionVariable;
-    }
+namespace flair {
+namespace core {
+class Thread;
+class IODevice;
+class ConditionVariable;
+}
 }
 
-class Thread_impl
-{
-    public:
-        Thread_impl(flair::core::Thread* self,uint8_t priority);
-        ~Thread_impl();
-        void Start(void);
-        void Join(void);
-        void SafeStop(void);
-        bool ToBeStopped(void);
-        void SetPeriodUS(uint32_t period);
-        uint32_t GetPeriodUS(void) const;
-        void SetPeriodMS(uint32_t period);
-        uint32_t GetPeriodMS(void) const;
-        void WaitPeriod(void);
-        void Suspend(void);
-        bool SuspendUntil (flair::core::Time date);
-        void Resume(void);
-        bool IsSuspended(void);
-        int WaitUpdate(const flair::core::IODevice* device);
-        bool period_set;
+class Thread_impl {
+public:
+  Thread_impl(flair::core::Thread *self, uint8_t priority);
+  ~Thread_impl();
+  void Start(void);
+  void Join(void);
+  void SafeStop(void);
+  bool ToBeStopped(void);
+  void SetPeriodUS(uint32_t period);
+  uint32_t GetPeriodUS(void) const;
+  void SetPeriodMS(uint32_t period);
+  uint32_t GetPeriodMS(void) const;
+  void WaitPeriod(void);
+  void Suspend(void);
+  bool SuspendUntil(flair::core::Time date);
+  void Resume(void);
+  bool IsSuspended(void);
+  int WaitUpdate(const flair::core::IODevice *device);
+  bool period_set;
 
-    private:
-        flair::core::Thread* self;
-        flair::core::ConditionVariable* cond;
-        uint8_t priority;
-        flair::core::Time max_jitter,min_jitter,mean_jitter;
-        flair::core::Time last;
-        uint64_t cpt;
-        flair::core::Time period;
-        bool isRunning;
-        bool tobestopped;
-        bool is_suspended;
-        void PrintStats(void);
-        void ComputeJitter(flair::core::Time time);
+private:
+  flair::core::Thread *self;
+  flair::core::ConditionVariable *cond;
+  uint8_t priority;
+  flair::core::Time max_jitter, min_jitter, mean_jitter;
+  flair::core::Time last;
+  uint64_t cpt;
+  flair::core::Time period;
+  bool isRunning;
+  bool tobestopped;
+  bool is_suspended;
+  void PrintStats(void);
+  void ComputeJitter(flair::core::Time time);
 #ifdef __XENO__
-        RT_TASK task_rt;
-        static void main_rt(void * arg);
+  RT_TASK task_rt;
+  static void main_rt(void *arg);
 #else
-        pthread_t task_nrt;
-        static void* main_nrt(void * arg);
-        flair::core::Time next_time;
+  pthread_t task_nrt;
+  static void *main_nrt(void *arg);
+  flair::core::Time next_time;
 #endif
 };
Index: trunk/lib/FlairCore/src/unexported/Widget_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/Widget_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/Widget_impl.h	(revision 15)
@@ -17,10 +17,8 @@
 #include <io_data.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class Widget;
-    }
+namespace flair {
+namespace gui {
+class Widget;
+}
 }
 
@@ -28,87 +26,97 @@
 * \brief Classe representant un Widget
 *
-*  C'est une classe de base. Tout comme l'Object elle permet de gérer les liens de parenté
-*  et de détruire automatiquement les enfants. Elle permet en plus de gérer une communication
+*  C'est une classe de base. Tout comme l'Object elle permet de gérer les liens
+*de parenté
+*  et de détruire automatiquement les enfants. Elle permet en plus de gérer une
+*communication
 *  avec la station sol, et donc d'y afficher un QWidget. \n
-*  La comunication avec la station sol se fait par l'échange de fichiers xml. Les propriétés xml du Widget sont
+*  La comunication avec la station sol se fait par l'échange de fichiers xml.
+*Les propriétés xml du Widget sont
 *  modifiables par les fonctions appropriées. \n
-*  Un fichier xml de réglages par défaut du Widget est utilisé s'il a été spécifié à la construction du FrameworkManager.
+*  Un fichier xml de réglages par défaut du Widget est utilisé s'il a été
+*spécifié à la construction du FrameworkManager.
 */
-class Widget_impl
-{
-    friend class flair::core::FrameworkManager;
-    friend class FrameworkManager_impl;
+class Widget_impl {
+  friend class flair::core::FrameworkManager;
+  friend class FrameworkManager_impl;
 
-    public:
-        /*!
-        * \brief Constructeur
-        *
-        * Construit un Widget, qui est automatiquement enfant du parent. Le fichier xml
-        * spécifié au constructeur du FrameworkManager est utilisé pour les réglages par
-        * défaut. \n
-        * Sauf pour le FrameworkManager, ce constructeur doit être apellé depuis une tache temps réel
-        * lorsque l'on utilise la librairie framework_rt.
-        *
-        * \param parent parent
-        * \param name nom
-        * \param type type
-        */
-        Widget_impl(flair::gui::Widget* self,const flair::gui::Widget* parent,std::string name,std::string type);
+public:
+  /*!
+  * \brief Constructeur
+  *
+  * Construit un Widget, qui est automatiquement enfant du parent. Le fichier
+  *xml
+  * spécifié au constructeur du FrameworkManager est utilisé pour les réglages
+  *par
+  * défaut. \n
+  * Sauf pour le FrameworkManager, ce constructeur doit être apellé depuis une
+  *tache temps réel
+  * lorsque l'on utilise la librairie framework_rt.
+  *
+  * \param parent parent
+  * \param name nom
+  * \param type type
+  */
+  Widget_impl(flair::gui::Widget *self, const flair::gui::Widget *parent,
+              std::string name, std::string type);
 
-        /*!
-        * \brief Déstructeur
-        *
-        * Détruit automatiquement les enfants.
-        * La destruction implique la destruction du QWidget associé sur la station sol.\n
-        * Sauf pour le FrameworkManager, ce déstructeur doit être apellé depuis une tache temps réel
-        * lorsque l'on utilise la librairie framework_rt.
-        *
-        */
-        ~Widget_impl();
+  /*!
+  * \brief Déstructeur
+  *
+  * Détruit automatiquement les enfants.
+  * La destruction implique la destruction du QWidget associé sur la station
+  *sol.\n
+  * Sauf pour le FrameworkManager, ce déstructeur doit être apellé depuis une
+  *tache temps réel
+  * lorsque l'on utilise la librairie framework_rt.
+  *
+  */
+  ~Widget_impl();
 
-        /*!
-        * \brief Activer
-        *
-        * Active le QWidget associé sur la station sol. \n
-        * Un QWdiget désactivé apparait grisé et n'est pas modifiable.
-        *
-        * \param status
-        */
-        void setEnabled(bool status);
+  /*!
+  * \brief Activer
+  *
+  * Active le QWidget associé sur la station sol. \n
+  * Un QWdiget désactivé apparait grisé et n'est pas modifiable.
+  *
+  * \param status
+  */
+  void setEnabled(bool status);
 
-        /*!
-        * \brief Envoi le xml
-        *
-        * Envoi le xml à la station sol pour prendre en compte les changements.
-        */
-        void SendXml(void);
+  /*!
+  * \brief Envoi le xml
+  *
+  * Envoi le xml à la station sol pour prendre en compte les changements.
+  */
+  void SendXml(void);
 
-        xmlNodePtr file_node;
-        xmlNodePtr send_node;
-        bool isenabled;
+  xmlNodePtr file_node;
+  xmlNodePtr send_node;
+  bool isenabled;
 
-     private:
-        flair::gui::Widget* self;
+private:
+  flair::gui::Widget *self;
 
-        std::vector<flair::gui::Widget*> childs;
+  std::vector<flair::gui::Widget *> childs;
 
-        void AddChild(const flair::gui::Widget* child);
-        void RemoveChild(const flair::gui::Widget* child);
+  void AddChild(const flair::gui::Widget *child);
+  void RemoveChild(const flair::gui::Widget *child);
 
-         /*!
-        * \brief Efface les proriétés xml
-        *
-        *  Permet d'effacer toutes les propriétés XML fixées par SetVolatileXmlProp.
-        *  A utliser lorsque l'on a plus besoin d'utiliser ces propriétés. Utile
-        * pour réduire la taille des fichiers XML écangés avec la station sol.
-        */
-        void ClearXmlProps(void);
+  /*!
+ * \brief Efface les proriétés xml
+ *
+ *  Permet d'effacer toutes les propriétés XML fixées par SetVolatileXmlProp.
+ *  A utliser lorsque l'on a plus besoin d'utiliser ces propriétés. Utile
+ * pour réduire la taille des fichiers XML écangés avec la station sol.
+ */
+  void ClearXmlProps(void);
 
-        //xml
-        void ProcessXML(xmlNode *node);
-        xmlDocPtr CopyDoc(void);
-        static xmlNodePtr GetNodeByProp(xmlNodePtr doc,xmlChar *type,xmlChar *prop,xmlChar *value);
-        void printSendNode();
-        xmlDocPtr send_doc;
+  // xml
+  void ProcessXML(xmlNode *node);
+  xmlDocPtr CopyDoc(void);
+  static xmlNodePtr GetNodeByProp(xmlNodePtr doc, xmlChar *type, xmlChar *prop,
+                                  xmlChar *value);
+  void printSendNode();
+  xmlDocPtr send_doc;
 };
 
Index: trunk/lib/FlairCore/src/unexported/cvmatrix_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/cvmatrix_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/cvmatrix_impl.h	(revision 15)
@@ -14,5 +14,4 @@
 #define CVMATRIX_IMPL_H
 
-
 #include <io_data.h>
 #include <cvmatrix.h>
@@ -24,19 +23,22 @@
 *
 */
-class cvmatrix_impl
-{
-    public:
-        cvmatrix_impl(flair::core::cvmatrix* self,int rows,int cols,flair::core::ScalarType const &elementDataType,int n);
-        cvmatrix_impl(flair::core::cvmatrix* self,const flair::core::cvmatrix_descriptor *descriptor, flair::core::ScalarType const &elementDataType,int n);
-        ~cvmatrix_impl();
+class cvmatrix_impl {
+public:
+  cvmatrix_impl(flair::core::cvmatrix *self, int rows, int cols,
+                flair::core::ScalarType const &elementDataType, int n);
+  cvmatrix_impl(flair::core::cvmatrix *self,
+                const flair::core::cvmatrix_descriptor *descriptor,
+                flair::core::ScalarType const &elementDataType, int n);
+  ~cvmatrix_impl();
 
-        CvMat* mat;
-        flair::core::ScalarType const &elementDataType;
-	// const since if element description is modified it would be a mess in the log
-        const flair::core::cvmatrix_descriptor *descriptor;
+  CvMat *mat;
+  flair::core::ScalarType const &elementDataType;
+  // const since if element description is modified it would be a mess in the
+  // log
+  const flair::core::cvmatrix_descriptor *descriptor;
 
-    private:
-        flair::core::cvmatrix* self;
-        void Init(flair::core::cvmatrix* self,int n);
+private:
+  flair::core::cvmatrix *self;
+  void Init(flair::core::cvmatrix *self, int n);
 };
 
